summaryrefslogtreecommitdiffstats
path: root/desktop/xmonad
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-12 23:28:31 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:31 +0200
commit8e7bd5508cbd8a27c3ac76c97529f769b806f72c (patch)
tree567aa69976911430807d80c56118eecd16f2cfee /desktop/xmonad
parente11db00f74d49caf54f6ffb5d0dfc654cda6a56f (diff)
downloadslackbuilds-8e7bd5508cbd8a27c3ac76c97529f769b806f72c.tar.gz
slackbuilds-8e7bd5508cbd8a27c3ac76c97529f769b806f72c.tar.xz
desktop/xmonad: Added to 12.2 repository
Diffstat (limited to 'desktop/xmonad')
-rw-r--r--desktop/xmonad/README17
-rw-r--r--desktop/xmonad/doinst.sh4
-rw-r--r--desktop/xmonad/slack-desc19
-rw-r--r--desktop/xmonad/xinitrc.xmonad15
-rw-r--r--desktop/xmonad/xmonad.SlackBuild74
-rw-r--r--desktop/xmonad/xmonad.info8
6 files changed, 137 insertions, 0 deletions
diff --git a/desktop/xmonad/README b/desktop/xmonad/README
new file mode 100644
index 0000000000..0cf8620f06
--- /dev/null
+++ b/desktop/xmonad/README
@@ -0,0 +1,17 @@
+xmonad (stable, featureful and easy tiling window manager for X11)
+
+xmonad is a dynamically tiling X11 window manager that is written
+and configured in Haskell. In a normal WM, you spend half your time
+aligning and searching for windows. xmonad makes work easier, by
+automating this.
+
+This requires ghc and X11-haskell from SlackBuilds.org.
+
+After installing, use 'xwmconfig' command to reselect xmonad as window
+manager, either as root to do system wide selection or as normal user
+to do user specific selection.
+
+To get you started, the most basic key bindings are:
+ mod-shift-return Launch xterm
+ mod-shift-q Quit xmonad
+For a Guided Tour: http://www.xmonad.org/tour.html
diff --git a/desktop/xmonad/doinst.sh b/desktop/xmonad/doinst.sh
new file mode 100644
index 0000000000..87825cdcca
--- /dev/null
+++ b/desktop/xmonad/doinst.sh
@@ -0,0 +1,4 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
+
diff --git a/desktop/xmonad/slack-desc b/desktop/xmonad/slack-desc
new file mode 100644
index 0000000000..363bf3985f
--- /dev/null
+++ b/desktop/xmonad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmonad: xmonad (stable, featureful and easy tiling window manager for X11)
+xmonad:
+xmonad: xmonad is a dynamically tiling X11 window manager that is written
+xmonad: and configured in Haskell. In a normal WM, you spend half your time
+xmonad: aligning and searching for windows. xmonad makes work easier, by
+xmonad: automating this.
+xmonad:
+xmonad: http://www.xmonad.org/
+xmonad:
+xmonad:
+xmonad:
diff --git a/desktop/xmonad/xinitrc.xmonad b/desktop/xmonad/xinitrc.xmonad
new file mode 100644
index 0000000000..2554d0d574
--- /dev/null
+++ b/desktop/xmonad/xinitrc.xmonad
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/lib/X11/xinit/.Xresources
+sysmodmap=/usr/lib/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
+
+exec /usr/bin/xmonad
+
diff --git a/desktop/xmonad/xmonad.SlackBuild b/desktop/xmonad/xmonad.SlackBuild
new file mode 100644
index 0000000000..de14e35b3e
--- /dev/null
+++ b/desktop/xmonad/xmonad.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for xmonad
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=xmonad
+VERSION=${VERSION:-0.8.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runhaskell Setup.lhs configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runhaskell Setup.lhs build
+runhaskell Setup.lhs copy --destdir=$PKG
+runhaskell Setup.lhs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv register.sh $PKG/install/register.sh
+
+# Add X startup script
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinitrc.xmonad > $PKG/etc/X11/xinit/xinitrc.xmonad
+chmod 0755 $PKG/etc/X11/xinit/xinitrc.xmonad
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/xmonad/xmonad.info b/desktop/xmonad/xmonad.info
new file mode 100644
index 0000000000..10af52646e
--- /dev/null
+++ b/desktop/xmonad/xmonad.info
@@ -0,0 +1,8 @@
+PRGNAM="xmonad"
+VERSION="0.8.1"
+HOMEPAGE="http://xmonad.org/"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/xmonad/0.8.1/xmonad-0.8.1.tar.gz"
+MD5SUM="03a8f0a420902d9eea3df1d8d62598c7"
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"